/* apply a natural box layout model to all elements */
*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.tabbar-search {
  overflow: hidden;
  width: 1000px;
  background-color: rgba(34, 216, 222, 0.09);
  box-sizing: border-box;
  padding: 0 15px;
  margin: o auto;
}

input.tab {
  position: absolute;
  left: -999em;
}

label.tab {
  float: left;
  color: #333333;
  overflow: hidden;
  cursor: pointer;

  text-transform: uppercase;
  letter-spacing: 0.1px;
  font-weight: 500;
  padding: 10px 15px;
  margin-top: 5px;
  box-sizing: border-box;
  border-top: 4px solid transparent;
}

label.tab:hover {
  background-color: transparent;
  border: none;
  border-top: 4px solid #21d8de;
  padding: 10px 15px;
  color: #21d8de;
  border-radius: 4px 4px 0 0;
}

.tabs {
  display: table;
  width: 100%;
  white-space: nowrap;
  clear: both;
  border-bottom: 1px solid #000;
  word-spacing: -0.25em;
}

.content {
  display: inline-block;
  vertical-align: top;
  background-color: #134249;
  color: #fff;
  /* border-bottom: none;
  white-space: normal; */
  width: 100%;
  margin-right: -100%;
  /* word-spacing: 0; */

  padding: 10px;
  min-height: 20px;
  border: 1px solid transparent;
}

.content-inner {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: left;
  align-items: center;
  padding: 15px;
}

.content-inner form {
  margin-block-end: 1em;
  width: 100%;
}

.content-inner form .form__group {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

form > .form__group > .search__input {
  padding: 0 15px;
  width: 85%;
}

form > .form__group > .search__input input {
  padding: 10px 15px;
  width: 100%;
}

form > .form__group > .search__button button {
  position: absolute;
  display: block;
  width: 15%;
  background: #2c82be;
  border: none;
  font-size: 14px;
  color: #fff;
  line-height: 36px;
  text-align: center;
  padding: 0 15px;
}

[type="radio"]:checked + label {
  background-color: #134249;
  border-top: 4px solid #21d8de !important;
  color: #fff;
  text-shadow: 1px 1px 2px rgb(0 0 0 / 30%);
  border-radius: 4px 4px 0 0;
}

.tab[type="radio"] ~ .tabs .content .content-inner {
  opacity: 0;
  /* -webkit-transform: translate3d(0, 0, 0);
  -webkit-transform: translateX(100%);
  -moz-transform: translateX(100%);
  -ms-transform: translateX(100%);
  -o-transform: translateX(100%);
  transform: translateX(100%);
  -webkit-transition: all 0.6s ease;
  -moz-transition: all 0.6s ease;
  -ms-transition: all 0.6s ease;
  -o-transition: all 0.6s ease;
  transition: all 0.6s ease; */
}

.tab1[type="radio"]:checked ~ .tabs .content1 .content-inner,
.tab2[type="radio"]:checked ~ .tabs .content2 .content-inner,
.tab3[type="radio"]:checked ~ .tabs .content3 .content-inner,
.tab4[type="radio"]:checked ~ .tabs .content4 .content-inner {
  opacity: 1;
  -webkit-transform: translateX(0%);
  -moz-transform: translateX(0%);
  -ms-transform: translateX(0%);
  -o-transform: translateX(0%);
  transform: translateX(0%);
}

@media screen and (max-width: 760px) {
  label.tab {
    float: none;
    display: block;
  }
  .tabs {
    display: block;
    font-size: 0;
  }
  .content {
    font-size: 16px;
    font-size: 1rem;
  }
}

#box {
  position: absolute;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  /* height: 100%; */
  width: 1000px;
  margin: 0 auto;
  background: rgba(0, 0, 0, 0.1);
  box-sizing: border-box;
  padding: 10px;
}

#box > * {
  flex: 1 1 30%;
}

.card {
  width: 100%;
  max-width: 500px;
  height: 450px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  /* background-color: #37454d; */
  border-radius: 4px;
  overflow: hidden;
  position: relative;
  transition: 0.8s cubic-bezier(0.165, 0.84, 0.44, 1);
  margin: 0.5rem;
}

.card .thumb {
  width: auto;
  height: 200px;
  background: url("./img4.jpg") no-repeat center;
  background-size: cover;
  border-radius: 15px;
  border: 1px solid lightgreen;
}

.card .infos {
  width: auto;
  height: 350px;
  position: relative;
  padding: 15px 25px;
  /* background: #fff; */
  -webkit-transition: 0.4s 0.15s cubic-bezier(0.17, 0.67, 0.5, 1.03);
  transition: 0.4s 0.15s cubic-bezier(0.17, 0.67, 0.5, 1.03);
}

.card .infos .title {
  position: relative;
  margin: 5px 0 -10px;
  letter-spacing: 2px;
  color: rgba(0, 0, 0, 0.8);
  font-family: "Roboto", sans-serif;
  font-size: 0.95rem;
  text-transform: uppercase;
}

.card .infos .composition {
  margin-bottom: 10px;
  text-transform: uppercase;
  font-size: 0.85rem;
  color: rgba(0, 0, 0, 0.5);
  font-family: "Roboto", sans-serif;
}

.card .infos .type {
  padding-top: 20px;
  font-size: 0.8rem;
  color: rgba(0, 0, 0, 0.6);
  font-family: "Roboto", sans-serif;
}

/* .card:hover .infos {
  -webkit-transform: translateY(-260px);
  transform: translateY(-260px);
} */
/* .card:hover .infos .type,
.card:hover .infos .txt,
.card:hover .infos .details,
.card:hover .infos .price,
card:hover .infos .code {
  opacity: 1;
} */

/* .card .infos .details:hover {
  color: rgba(0, 0, 0, 0.5);
} */

/* @media only screen and (max-width: 600px) {
  .card .infos .title {
    font-size: 0.8rem;
  }
}

@media only screen and (max-width: 600px) {
  .card .infos .composition {
    font-size: 0.77rem;
    padding-bottom: 5px;
  }
}

@media only screen and (max-width: 600px) {
  .card .infos .color {
    left: 180px;
  }
} */
